#! /bin/sh

# setup IRAF
if [ -f login.cl ]; then
cat << EOF | mkiraf
y
xterm
EOF
else
cat << EOF | mkiraf
y
xterm
EOF
fi

sed 's/xgterm/xterm/g' login.cl > tmp.cl
\mv tmp.cl login.cl

# create directories
if [ ! -d ldata ];then
 mkdir ldata
fi

if [ ! -d mask ];then
 mkdir mask
fi

if [ ! -d log ]; then
  mkdir log
fi


# check Architecture
ARCH=`uname`

cd source
case $ARCH in
Linux) sed 's/#PREFLINUX/PREF/g' Makefile.base > Makefile ;;
SunOS) sed 's/#PREFSUNOS/PREF/g' Makefile.base > Makefile ;;
esac

if [ -f imcopy.o ]; then
rm imcopy.o
fi
if [ -f ../bin/imcopy ]; then
rm ../bin/imcopy
fi

make fwfcam
make fmagnify2
make fsubline
make imcopy.o
make imcopy
make badframe


